Name:           laby
Version:        0.6.4
Release:        %mkrel 2
Summary:        Learn how to program with ants and spider webs
License:        GPLv3+
Group:          Games/Puzzles
Url:            http://github.com/sgimenez/laby
Source0:        http://github.com/sgimenez/laby/archive/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.6.3-git35e5f15-desktop-file.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  gtksourceview2-devel

Requires:       ocaml-compiler
Recommends:     gcc
Recommends:     javac
Recommends:     perl
Recommends:     python
Recommends:     gprolog

%description
Laby is a small program to learn how to program with ants and
spider webs. You have to move an ant out of a labyrinth, avoid
spider webs, move rocks, ... etc. Your weapon? A program!

Using Laby, you can have fun while learning OCaml, C, Perl, Java,
Python or even Prolog.

%prep
%setup -q
%autopatch -p1

%build
%__make

%install
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp $(readlink -f %{name}) %{buildroot}%{_gamesbindir}/%{name}
cp -r data/* %{buildroot}%{_datadir}/%{name}/
install -D -m644 data/tiles/ant-n.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -D -m644 packaging/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS COPYRIGHT TRANSLATION
%attr(0755, root, games) %{_gamesbindir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sun Sep 25 2016 pterjan <pterjan> 0.6.4-2.mga6
+ Revision: 1056214
- Rebuild for fix in ocaml

* Sun Sep 18 2016 daviddavid <daviddavid> 0.6.4-1.mga6
+ Revision: 1053645
- new version: 0.6.4
- update Source URL

* Mon Feb 15 2016 umeabot <umeabot> 0.6.3-10.mga6
+ Revision: 960893
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 alexl <alexl> 0.6.3-9.mga6
+ Revision: 871554
- use svg icon from sources
- use desktop file from upstream
- add GenericName

* Sun Nov 23 2014 alexl <alexl> 0.6.3-8.mga5
+ Revision: 798506
- added translatons for desktop file from Ubuntu and DoudouLinux

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-7.mga5
+ Revision: 748705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.3-6.mga5
+ Revision: 681262
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.6.3-5.mga4
+ Revision: 506813
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.3-4.mga3
+ Revision: 356632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.3-3.mga3
+ Revision: 301631
- new rpm group for ocaml
- added French language in the .desktop file
- converted the .desktop icon from .xpm to .png
- cleaned the .spec file

* Sat Aug 04 2012 malo <malo> 0.6.3-2.mga3
+ Revision: 278505
- fix requires to ocaml-compiler
- update url

* Wed Nov 02 2011 malo <malo> 0.6.3-1.mga2
+ Revision: 161850
- fixing BuildRequires
- spec cleanup.
- imported package laby

